# Poco::Zip

# class ZipDataInfo

Library: Zip
Package: Zip
Header: Poco/Zip/ZipDataInfo.h

## Description

A ZipDataInfo stores a Zip data descriptor

## Member Summary

Member Functions: getCRC32, getCompressedSize, getFullHeaderSize, getRawHeader, getUncompressedSize, isValid, setCRC32, setCompressedSize, setUncompressedSize

## Constructors

### ZipDataInfo

ZipDataInfo();

Creates a header with all fields (except the header field) set to 0

### ZipDataInfo

ZipDataInfo(
std::istream & in,
bool assumeHeaderRead
);

Creates the ZipDataInfo.

## Destructor

### ~ZipDataInfo

~ZipDataInfo();

Destroys the ZipDataInfo.

## Member Functions

### getCRC32

Poco::UInt32 getCRC32() const;

### getCompressedSize

Poco::UInt32 getCompressedSize() const;

### getFullHeaderSize

static Poco::UInt32 getFullHeaderSize();

### getRawHeader

const char * getRawHeader() const;

### getUncompressedSize

Poco::UInt32 getUncompressedSize() const;

### isValid

bool isValid() const;

### setCRC32

void setCRC32(
Poco::UInt32 crc
);

### setCompressedSize

void setCompressedSize(
Poco::UInt32 size
);

### setUncompressedSize

void setUncompressedSize(
Poco::UInt32 size
);

## Variables

### HEADER

static const char HEADER[ZipCommon::HEADER_SIZE];